library hometec_ui;
import 'package:flutter/material.dart';
import 'package:hometec_ui/components/button/size.dart';
import 'package:hometec_ui/components/button/type.dart';
import 'package:hometec_ui/resources/colors/color.dart';

class ECButton extends StatefulWidget {

  String title;
  ButtonType type;
  ButtonSize size;
  Color textColor;
  Color backgroundColor;
  Function onPressed;

  ECButton(String title, {ButtonType type = ButtonType.solid, ButtonSize size = ButtonSize.large, textColor, backgroundColor, Function onPressed}){
      this.title = title;
      this.type = type;
      this.size = size;
      this.textColor = textColor == null ? ECColor.buttonSolidText : textColor;
      this.backgroundColor = backgroundColor == null ? ECColor.primary : backgroundColor;
      this.onPressed = onPressed;
  }

  @override
  _ECButtonState createState() => _ECButtonState();
}

class _ECButtonState extends State<ECButton> {

  @override
  Widget build(BuildContext context) {
    if(widget.type != ButtonType.outline)
      return Container(
          height: widget.size.size,
          child: RaisedButton(
            shape: RoundedRectangleBorder(
              borderRadius: BorderRadius.circular(4.0),
              side: BorderSide(color: widget.type.config(widget.textColor, widget.backgroundColor, onPressed: widget.onPressed).borderColor)
            ),
            onPressed: widget.onPressed,
            color: widget.type.config(widget.textColor, widget.backgroundColor).backgroundColor,
            child: Text(
              widget.title,
              style: widget.type.config(widget.textColor, widget.backgroundColor, onPressed: widget.onPressed).font,
            ),
            disabledColor: widget.type.config(widget.textColor, widget.backgroundColor).disableColor,
          ),
      );
    else 
      return Container(
        height: widget.size.size,
        child: FlatButton(
          shape: RoundedRectangleBorder(
            borderRadius: BorderRadius.circular(4.0),
            side: BorderSide(color: widget.type.config(widget.textColor, widget.backgroundColor, onPressed: widget.onPressed).borderColor)
          ),
          onPressed: widget.onPressed,
          color: widget.type.config(widget.textColor, widget.backgroundColor).backgroundColor,
          child: Text(
            widget.title,
            style: widget.type.config(widget.textColor, widget.backgroundColor, onPressed: widget.onPressed).font,
          ),
          disabledColor: widget.type.config(widget.textColor, widget.backgroundColor).disableColor,
        ),
    );
  }
}