import 'package:flutter/material.dart';
import 'package:hometec_ui/resources/colors/color.dart';
import 'package:hometec_ui/resources/fonts/font.dart';


class ButtonConfig {
    final Color textColor;
    final Color backgroundColor;
    final Color borderColor;
    final TextStyle font;
    final Color disableColor;

    ButtonConfig(this.textColor, this.backgroundColor, this.borderColor, this.font, this.disableColor);
}

enum ButtonType {
  solid,
  outline,
  clear
}

extension ButtonTypeExtension on ButtonType {

  ButtonConfig config(Color textColor, Color color, {Function onPressed}){
      switch (this) {
      case ButtonType.solid:
        return ButtonConfig(textColor, color, onPressed != null ? color : ECColor.textColor, Font.headlineFour.style(color: onPressed != null ? textColor : ECColor.textColorTwo), ECColor.textColor);
      case ButtonType.outline:
        return ButtonConfig(color, ECColor.clear, onPressed != null ? color : ECColor.textColor, Font.bodyBold.style(color: onPressed != null ? color : ECColor.textColorTwo), ECColor.clear);
      case ButtonType.clear:
        return ButtonConfig(textColor, ECColor.clear, ECColor.clear, Font.overlineBold.style(color: onPressed != null ? textColor : ECColor.textColorTwo), ECColor.clear);
      default:
      return null;
    }
  }
}