import 'package:flutter/material.dart';
import 'package:hometec_ui/components/textfield/textfield.dart';
import 'package:hometec_ui/components/textfield/textfield_value.dart';
import 'package:hometec_ui/resources/colors/color.dart';
import 'package:hometec_ui/resources/fonts/font.dart';

  Future<void> showConsoleDialog(BuildContext context, 
  {
    String title, 
    String labelText, 
    String buttonText, 
    Function buttonAction, 
    Function(String) change,
    Stream<TextFieldValue> stream,
    TextEditingController controller
  }) async {
    return showDialog<void>(
      context: context,
      barrierDismissible: false, // user must tap button!
      builder: (BuildContext context) {
        return AlertDialog(
          backgroundColor: ECColor.cards,
          title: Text(title, style: Font.headlineFive.style(color: ECColor.primary),),
          content: Container(
            padding: EdgeInsets.all(16),
            child: ECTextField(labelText, change: change, stream: stream, controller: controller,),
          ),
          actions: <Widget>[
            FlatButton(
              child: Text('Cancelar', style: Font.bodyRegular.style(color: ECColor.secondary),),
              onPressed: () {
                Navigator.of(context).pop();
              },
            ),
            FlatButton(
              child: Text(buttonText, style: Font.bodyRegular.style(color: ECColor.secondary),),
              onPressed: (){
                buttonAction();
                Navigator.of(context).pop();
              },
            )
          ],
        );
      },
    );
  }