import 'package:flutter/cupertino.dart';

Future<void> showCuperDialog(BuildContext context, {String title, String message, String buttonText, Function buttonAction}) async {
    return showCupertinoDialog(context: context, builder: (context){
        return CupertinoAlertDialog(
          title: Text(title),
          content: Text(message),
          actions: <Widget>[
            CupertinoDialogAction(
              isDestructiveAction: true,
              child: Text('Cancelar'),
              onPressed: (){
                Navigator.pop(context);
              },
            ),
            CupertinoDialogAction(
              isDefaultAction: true,
              child: Text(buttonText),
              onPressed: (){
                Navigator.pop(context);
                buttonAction();
              },
            )
          ],
        );
    });
  }

  Future<void> showErrorCuperDialog(BuildContext context, {String title, String message, String buttonText, Function buttonAction}) async {
    return showCupertinoDialog(context: context, builder: (context){
        return CupertinoAlertDialog(
          title: Text(title),
          content: Text(message),
          actions: <Widget>[
            CupertinoDialogAction(
              isDefaultAction: true,
              child: Text(buttonText),
              onPressed: (){
                Navigator.pop(context);
                buttonAction();
              },
            )
          ],
        );
    });
  }