import 'package:flutter/material.dart';
import 'package:hometec_ui/components/dialog/alert_dialog.dart';
import 'package:hometec_ui/components/dialog/cupertino_dialog.dart';

Future<void> showPlatformDialog(BuildContext context, {String title, String message, String buttonText, Function buttonAction}){
  var platform = Theme.of(context).platform;
  if (platform == TargetPlatform.android) 
    return showAlertDialog(context, title: title, message: message, buttonText: buttonText, buttonAction: buttonAction);
  else
    return showCuperDialog(context, title: title, message: message, buttonText: buttonText, buttonAction: buttonAction);
}

Future<void> showErrorPlatformDialog(BuildContext context, {String title, String message, String buttonText, Function buttonAction}){
  var platform = Theme.of(context).platform;
  if (platform == TargetPlatform.android) 
    return showErrorAlertDialog(context, title: title, message: message, buttonText: buttonText, buttonAction: buttonAction);
  else
    return showErrorCuperDialog(context, title: title, message: message, buttonText: buttonText, buttonAction: buttonAction);
}