
import 'package:flutter/material.dart';
import 'package:hometec_ui/resources/colors/color.dart';
import 'package:hometec_ui/resources/fonts/font.dart';
import 'package:progress_dialog/progress_dialog.dart';

class LoadingDialog extends ProgressDialog {
    LoadingDialog(BuildContext context) : super(context, type: ProgressDialogType.Normal){
      style(
        message: 'Carregando...',
        borderRadius: 10.0,
        backgroundColor: ECColor.cards,
        progressWidget: CircularProgressIndicator(strokeWidth: 5.0,valueColor: AlwaysStoppedAnimation(ECColor.secondary),),
        elevation: 10.0,
        insetAnimCurve: Curves.easeInOut,
        progressTextStyle: Font.bodyRegular.style(color: ECColor.textColor),
        messageTextStyle: Font.bodyRegular.style(color: ECColor.textColor),
      );
    }

    Future<void> showLoading(){
        return Future.delayed(Duration.zero,() {
            this.show();
        });
    }

    Future<void> hideLoading(){
        return Future.delayed(Duration.zero,() {
            this.hide();
        });
    }
}