import 'package:flutter/material.dart';
import 'package:hometec_ui/components/label/label_text.dart';
import 'package:hometec_ui/components/section/section.dart';
import 'package:hometec_ui/resources/colors/color.dart';

Widget cardInfo(BuildContext context, String title, List<Widget> items){
  return Column(
    mainAxisSize: MainAxisSize.min,
    children: <Widget>[
      section(title: title),
      Container(
        padding: EdgeInsets.all(24),
        decoration: BoxDecoration(
          color: ECColor.cards,
          boxShadow: [
            BoxShadow(
              color: Colors.grey.withOpacity(0.1),
              spreadRadius: 1,
              blurRadius: 1,
              offset: Offset(0, 1),
            ),
          ],
        ),
        child: ListView.separated(
          physics: NeverScrollableScrollPhysics(),
          shrinkWrap: true,              
          itemBuilder: (context, index) => items[index], 
          separatorBuilder: (context, index) => SizedBox(height: 24), 
          itemCount: items.length
        )
      )
    ],
  );
}

Widget cardInfoForLabels(BuildContext context, String title, Map<String, String> items){
  var widgets = List<Widget>();
  items.forEach((key, value) => widgets.add(labelText(context, key, value)));
  return cardInfo(context, title, widgets);
}