import 'package:flutter/material.dart';
import 'package:hometec_ui/components/textfield/textfield_value.dart';
import 'package:hometec_ui/resources/colors/color.dart';
import 'package:hometec_ui/resources/fonts/font.dart';

Widget labelTextForStream(BuildContext context, String labelText, Stream<TextFieldValue> stream){
  return _build(context, labelText,       
      StreamBuilder<TextFieldValue>(
        stream: stream,
        builder: (context, snapshot) => Text(snapshot.hasData ? snapshot.data.value : "", style: Font.headlineFive.style(color: ECColor.textColor),)
      )
  );
}

Widget labelText(BuildContext context, String labelText, String value){
  return _build(context, labelText,       
      Text(value, style: Font.headlineFive.style(color: ECColor.textColor))
  );
}

Widget _build(BuildContext context, String labelText, Widget widget){
  return Column(
    crossAxisAlignment: CrossAxisAlignment.start,
    children: <Widget>[
      Text(labelText, style: Font.captionRegular.style(color: ECColor.primary)),
      SizedBox(height: 4),
      widget
    ],
  );
}