import 'package:flutter/material.dart';
import 'package:hometec_ui/resources/colors/color.dart';
import 'package:hometec_ui/resources/fonts/font.dart';

class Section extends StatelessWidget {

  final String title;
  final String actionTitle;
  final Function action;

  Section({this.title, this.actionTitle, this.action});

  @override
  Widget build(BuildContext context) {
    return  Row(
                crossAxisAlignment: CrossAxisAlignment.end,
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: <Widget>[
                  Flexible(
                    flex: 1,
                    child: Container(
                      padding: EdgeInsets.fromLTRB(24, 24, 24, 0),
                      child: Text(title, style: Font.headlineThree.style(color: ECColor.secondary),),
                    ),
                  ),
                  Flexible(
                    flex: 1,
                      child: GestureDetector(
                          onTap: action,
                          child: Container(
                            padding: EdgeInsets.all(8),
                            child: Text(actionTitle != null ? actionTitle : "", style: Font.bodyRegular.style(color: ECColor.primary), textAlign: TextAlign.end,),
                          ),
                      ),
                  )
                ],
              );
  }
}