import 'dart:async';

import 'package:flutter/material.dart';
import 'package:hometec_ui/components/textfield/textfield_value.dart';
import 'package:rxdart/subjects.dart';

abstract class BaseTextFieldController {  

  BehaviorSubject<TextFieldValue> _controller = BehaviorSubject<TextFieldValue>();
  TextEditingController _textController = TextEditingController();

  Stream<TextFieldValue> get stream => _controller.stream;
  
  TextFieldValue get value => _controller.value;

  Function(String) get change => _changeValue;

  TextEditingController get controller => _textController;
  Function(String) get text => _changeText;


  void _changeText(String text){
    _textController.text = text;
  }

  void _changeValue(String value){
    _controller.add(TextFieldValue(value, null));
  }

  void dispose(){
    _controller.close();
  }
}