import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:hometec_ui/components/textfield/textfield_value.dart';
import 'package:hometec_ui/resources/colors/color.dart';
import 'package:hometec_ui/resources/fonts/font.dart';

class ECTextField extends StatefulWidget {

  final String labelText;
  final Function(String) change;
  final bool autoFocus;
  final TextInputType keyboardType;
  final List<TextInputFormatter> inputFormatters;
  final int maxLenght;
  final Stream<TextFieldValue> stream;
  final TextAlign textAlign;
  final bool readOnly;
  final Function onTap;
  final TextEditingController controller;
  final bool isHintText;

  ECTextField(this.labelText, {this.change, this.autoFocus = false, this.keyboardType, this.inputFormatters, this.maxLenght, this.stream, this.textAlign = TextAlign.left, this.readOnly = false, this.onTap, this.controller, this.isHintText = false});

  @override
  _ECTextFieldState createState() => _ECTextFieldState(labelText, change, autoFocus, keyboardType, inputFormatters, maxLenght, stream, textAlign, readOnly, onTap, controller, isHintText);
}

class _ECTextFieldState extends State<ECTextField> {

  final String labelText;
  final Function(String) change;
  final bool autoFocus;
  final TextInputType keyboardType;
  final List<TextInputFormatter> inputFormatters;
  final int maxLenght;
  final Stream<TextFieldValue> stream;
  final TextAlign textAlign;
  final bool readOnly;
  final Function onTap;
  final TextEditingController controller;
  final bool isHintText;

  _ECTextFieldState(this.labelText, this.change, this.autoFocus, this.keyboardType, this.inputFormatters, this.maxLenght, this.stream, this.textAlign, this.readOnly, this.onTap, this.controller, this.isHintText);

  @override
  Widget build(BuildContext context) {
    return Container(
      child: StreamBuilder<TextFieldValue>(
        stream: stream,
        builder: (context, snpashot){
          return TextFormField(
                onTap: onTap,
                readOnly: readOnly,
                textAlign: textAlign,
                maxLength: maxLenght,
                inputFormatters: inputFormatters,
                keyboardType: keyboardType,
                controller: controller,
                autofocus: autoFocus,
                onChanged: change,
                cursorColor: ECColor.textColor,
                style: TextStyle(color: ECColor.textColor),
                decoration: InputDecoration(
                  labelText: !isHintText ? labelText : null,
                  hintText: isHintText ? labelText : null,
                  labelStyle: Font.bodyRegular.style(color: ECColor.primary),
                  hintStyle: Font.bodyRegular.style(color: ECColor.lineColor),
                  enabledBorder: UnderlineInputBorder(
                    borderSide: BorderSide(color: ECColor.inputBorderColor)
                  ),
                  focusedBorder: UnderlineInputBorder(
                    borderSide: BorderSide(color: ECColor.secondary)
                  ),
                  errorText: snpashot.hasData ? snpashot.data.error : null,
                  errorStyle: Font.overlineBold.style(color: Colors.red),
                  helperStyle: Font.overlineBold.style(color: ECColor.textColor),
                ),
            );
        }
      ),
    );
  }
}