import 'dart:async';
import 'package:hometec_ui/components/textfield/textfield_value.dart';

class TextFieldValidator {

  static String messageIsRequired = "Campo não pode ficar vazio.";
  static String messageIsRequiredndGreaterThanZero = "Valor deve ser maior que 0.";

  final isRequired = StreamTransformer<TextFieldValue, TextFieldValue>.fromHandlers(
    handleData: (obj, sink){

      if(obj.value.isNotEmpty){
        sink.add(obj);      
      } else {
        sink.add(TextFieldValue(obj.value, messageIsRequired));
      }
    }
  );

  final isGreaterThanZero = StreamTransformer<TextFieldValue, TextFieldValue>.fromHandlers(
    handleData: (obj, sink){

      if(obj.value.isNotEmpty && obj.value != "0"){
        sink.add(obj);      
      } else {
        sink.add(TextFieldValue(obj.value, messageIsRequiredndGreaterThanZero));
      }
    }
  );

}