import 'package:flutter/services.dart';

class PesoFormatter extends TextInputFormatter {
  @override
  TextEditingValue formatEditUpdate(TextEditingValue oldValue, TextEditingValue newValue) {
    final value = newValue.text.replaceFirst(".", "");
    if(value == "" || value == "0" || value == "00"){
      final newText = "0.0";
      return newValue.copyWith(
            text: newText,
            selection: TextSelection.collapsed(offset: 3));
    }
      
    final newText = value.substring(1, 2) + "." + value.substring(2, 3);
    
    return newValue.copyWith(
            text: newText,
            selection: TextSelection.collapsed(offset: newText.length));
  }
}