import 'package:flutter/material.dart';

enum Font {
  headline,
  headlineTwo,
  headlineThree,
  headlineFour,
  headlineFive,
  overlineRegular,
  overlineBold,
  captionRegular,
  captionBold,
  bodyRegular,
  bodyBold
}

extension FontExtension on Font {
  TextStyle style({color = Colors.black}) {
    switch (this) {
      case Font.headline:
        return TextStyle(fontSize: 24, fontWeight: FontWeight.normal, color: color);
      case Font.headlineTwo:
        return TextStyle(fontSize: 20, fontWeight: FontWeight.bold, color: color);
      case Font.headlineThree:
        return TextStyle(fontSize: 20, fontWeight: FontWeight.normal, color: color);
      case Font.headlineFour:
        return TextStyle(fontSize: 16, fontWeight: FontWeight.bold, color: color);
      case Font.headlineFive:
        return TextStyle(fontSize: 16, fontWeight: FontWeight.normal, color: color);
      case Font.overlineRegular:
        return TextStyle(fontSize: 10, fontWeight: FontWeight.normal, color: color);
      case Font.overlineBold:
        return TextStyle(fontSize: 10, fontWeight: FontWeight.bold, color: color);
      case Font.captionRegular:
        return TextStyle(fontSize: 12, fontWeight: FontWeight.normal, color: color);
      case Font.captionBold:
        return TextStyle(fontSize: 12, fontWeight: FontWeight.bold, color: color);
      case Font.bodyRegular:
        return TextStyle(fontSize: 14, fontWeight: FontWeight.normal, color: color);
      case Font.bodyBold:
        return TextStyle(fontSize: 14, fontWeight: FontWeight.bold, color: color);
      default:
      return null;
    }
  }

  TextStyle font() {
    switch (this) {
      case Font.headline:
        return TextStyle(fontSize: 24, fontWeight: FontWeight.normal);
      case Font.headlineTwo:
        return TextStyle(fontSize: 20, fontWeight: FontWeight.bold);
      case Font.headlineThree:
        return TextStyle(fontSize: 20, fontWeight: FontWeight.normal);
      case Font.headlineFour:
        return TextStyle(fontSize: 16, fontWeight: FontWeight.bold);
      case Font.headlineFive:
        return TextStyle(fontSize: 16, fontWeight: FontWeight.normal);
      case Font.overlineRegular:
        return TextStyle(fontSize: 10, fontWeight: FontWeight.normal);
      case Font.overlineBold:
        return TextStyle(fontSize: 10, fontWeight: FontWeight.bold);
      case Font.captionRegular:
        return TextStyle(fontSize: 12, fontWeight: FontWeight.normal);
      case Font.captionBold:
        return TextStyle(fontSize: 12, fontWeight: FontWeight.bold);
      case Font.bodyRegular:
        return TextStyle(fontSize: 14, fontWeight: FontWeight.normal);
      case Font.bodyBold:
        return TextStyle(fontSize: 14, fontWeight: FontWeight.bold);
      default:
      return null;
    }
  }
}